Merge pull request #73151 from tanshanshan/fixshell

fix shellcheck failure
pull/564/head
Kubernetes Prow Robot 2019-01-24 20:07:46 -08:00 committed by GitHub
commit b466308bbd
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23
5 changed files with 13 additions and 17 deletions

View File

@ -46,10 +46,6 @@
./hack/build-cross.sh
./hack/build-go.sh
./hack/cherry_pick_pull.sh
./hack/dev-build-and-push.sh
./hack/dev-build-and-up.sh
./hack/dev-push-conformance.sh
./hack/dev-push-hyperkube.sh
./hack/e2e-internal/e2e-cluster-size.sh
./hack/e2e-internal/e2e-down.sh
./hack/e2e-internal/e2e-grow-cluster.sh

View File

@ -20,12 +20,11 @@ set -o errexit
set -o nounset
set -o pipefail
KUBE_ROOT=$(dirname "${BASH_SOURCE}")/..
KUBE_ROOT=$(dirname "${BASH_SOURCE[0]}")/..
# Build a dev release
make -f ${KUBE_ROOT}/Makefile quick-release
if [ "$?" != "0" ]; then
if ! make -f "${KUBE_ROOT}"/Makefile quick-release
then
echo "Building a release failed!"
exit 1
fi

View File

@ -21,12 +21,13 @@ set -o errexit
set -o nounset
set -o pipefail
KUBE_ROOT=$(dirname "${BASH_SOURCE}")/..
KUBE_ROOT=$(dirname "${BASH_SOURCE[0]}")/..
# Build a dev release
make -f ${KUBE_ROOT}/Makefile quick-release
if [ "$?" != "0" ]; then
if ! make -f "${KUBE_ROOT}"/Makefile quick-release
then
echo "Building the release failed!"
exit 1
fi

View File

@ -26,16 +26,16 @@ set -o errexit
set -o nounset
set -o pipefail
KUBE_ROOT="$(dirname "${BASH_SOURCE}")/.."
KUBE_ROOT="$(dirname "${BASH_SOURCE[0]}")/.."
source "${KUBE_ROOT}/build/common.sh"
if [[ -z "${REGISTRY:-}" ]]; then
echo "REGISTRY must be set"
exit -1
exit 1
fi
if [[ -z "${VERSION:-}" ]]; then
echo "VERSION must be set"
exit -1
exit 1
fi
IMAGE="${REGISTRY}/conformance-amd64:${VERSION}"

View File

@ -26,16 +26,16 @@ set -o errexit
set -o nounset
set -o pipefail
KUBE_ROOT="$(dirname "${BASH_SOURCE}")/.."
KUBE_ROOT="$(dirname "${BASH_SOURCE[0]}")/.."
source "${KUBE_ROOT}/build/common.sh"
if [[ -z "${REGISTRY:-}" ]]; then
echo "REGISTRY must be set"
exit -1
exit 1
fi
if [[ -z "${VERSION:-}" ]]; then
echo "VERSION must be set"
exit -1
exit 1
fi
IMAGE="${REGISTRY}/hyperkube-amd64:${VERSION}"